Subject: bug#17839: 24.4.50; read-passwd echoes password input in non-interactive sessions

From: Sebastian Wiesner <[email-masked]>
Date: Thu, 7 Aug 2014 18:08:28 +0200

Am 07.08.2014 um 17:30 schrieb Eli Zaretskii <[email-masked]>:

>> From: Sebastian Wiesner <[email-masked]>
>> Date: Thu, 7 Aug 2014 15:12:27 +0200
>> Cc: Eli Zaretskii <[email-masked]>,
>> Michael Albinus <[email-masked]>,
>> [email-masked],
>> [email-masked]
>> 
>> If I understand correctly, Windows support is the main issue
> 
> ??? No, it isn't.  Once Michael added the code to do this on Posix
> platforms, the Windows code was added to follow suit.

I’m sorry.  I did not follow the entire discussion, since I couldn’t comment on the implementation anyway.  All that I read was that there was some Windows-specific discussion, and from Stefan’s comment I presumed that Windows was still an issue.

But if it isn’t, I don’t see why this patch shouldn’t be “safe” for Emacs 24?  I’m sorry if I’m asking a stupid question, but I’m not familiar with Emacs’ policies.